## org.apache.aries.subsystem.obr.internal
Class OsgiIdentityCapability

    java.lang.Object
      org.apache.aries.subsystem.obr.internal.AbstractCapability
          org.apache.aries.subsystem.obr.internal.OsgiIdentityCapability

All Implemented Interfaces:
  org.osgi.resource.Capability

    public class OsgiIdentityCapability

extends AbstractCapability

Constructor Summary
`OsgiIdentityCapability(org.osgi.resource.Resource resource, String symbolicName, org.osgi.framework.Version version)`
`OsgiIdentityCapability(org.osgi.resource.Resource resource, String symbolicName, org.osgi.framework.Version version, String identityType)`

Method Summary
`Map<String,Object>` `getAttributes()`
`Map<String,String>` `getDirectives()`
`String` `getNamespace()`
`org.osgi.resource.Resource` `getResource()`

Methods inherited from class org.apache.aries.subsystem.obr.internal.AbstractCapability
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OsgiIdentityCapability

    public OsgiIdentityCapability(org.osgi.resource.Resource resource,
                                  String symbolicName,
                                  org.osgi.framework.Version version)

### OsgiIdentityCapability

    public OsgiIdentityCapability(org.osgi.resource.Resource resource,
                                  String symbolicName,
                                  org.osgi.framework.Version version,
                                  String identityType)

Method Detail

### getAttributes

    public Map<String,Object> getAttributes()

### getDirectives

    public Map<String,String> getDirectives()

### getNamespace

    public String getNamespace()

### getResource

    public org.osgi.resource.Resource getResource()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.